Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Buffered_DatagramConnection Class Reference

Inheritance diagram for Buffered_DatagramConnection:

List of all members.

## Public Member Functions
| AddAddress (Socket_Address inadr)
| must be called to set value to the server
unsigned int | AddressQueueSize ()
| BufferedDatagramConnection (int rbufsize, int wbufsize, int write_flush_point)
| Return type : inline Argument : bool do_blocking_writes Argument : int rbufsize Argument : int wbufsize.
| ClearAddresses ()
bool | DoConnect ()
bool | Flush ()
| flush all wrightes
bool | GetMessage (Datagram val)
| read a message
bool | IsConnected ()
| Reset ()
| Reset.
bool | SendMessage (Datagram const msg)
| send the message
| WaitForNetworkReadEvent (float MaxTime)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Member Function Documentation

AddAddress | ( | Socket_Address | inadr | ) |

must be called to set value to the server

Return type : inline void Argument : Socket_Address &inadr

unsigned int AddressQueueSize | ( |  | ) |

BufferedDatagramConnection | ( | int | rbufsize,
|  | int | wbufsize,
|  | int | write_flush_point
| ) |  |

Return type : inline Argument : bool do_blocking_writes Argument : int rbufsize Argument : int wbufsize.

ClearAddresses | ( |  | ) |

bool DoConnect | ( |  | ) |

bool Flush | ( |  | ) |

flush all wrightes

Return type : bool Argument : void

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Socket_TCP.

bool GetMessage | ( | Datagram | val | ) |

read a message

false means something bad happened..

Return type : inline bool Argument : Datagram &val

bool IsConnected | ( |  | ) |

Reset | ( |  | ) |

Reset.

Return type : void Argument : void

bool SendMessage | ( | Datagram const | msg | ) |

send the message

Return type : inline bool Argument : DataGram &msg

WaitForNetworkReadEvent | ( | float | MaxTime | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties